
function objetoAjax(){
	
	var xmlhttp=false;
	if (window.XMLHttpRequest)
  	{
 		xmlhttp=new XMLHttpRequest();
 	}
 	else if (window.ActiveXObject)
    {
    	if(new ActiveXObject("Microsoft.XMLHTTP"))
    	{
    		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
    	}
    	else
    	{
    		xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
    	}
    }
	
	return xmlhttp;
}


function f_carga_fegenerados( vruc )
{    

	alert(vruc);
	return false;
	
	 dfecha_ini = document.getElementById("txtfechaemision").value;
	 
	 
	 
	 
	  vresultado = document.getElementById("felectronicasd");
	
	  ajax_correo=objetoAjax();
	  ajax_correo.open("POST","prph/gs_admfedetalle.php");
	  ajax_correo.onreadystatechange=function() {
			if (ajax_correo.readyState==4)
			 {
				 	if(ajax_correo.status == 200) 
					{
						vresultado.innerHTML = new String(ajax_correo.responseText) ;
						//alert(vresultado.innerHTML);
					}
				 //alert(vresultado.innerHTML);
			}
		}
	
	  ajax_correo.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	  //alert("dfecha_ini="+ dfecha_ini);
	  
	  ajax_correo.send("dfecha_ini="+ dfecha_ini );

}

function f_libreregistrado(vopc)
{
	
	if (typeof (vopc) == "undefined")
	{		
		if(window.document.getElementById("opradiobl").checked)		
		{
			vopc="L";
		}
		else
		{
			vopc="R";
		}
		 
	}
	
	if (vopc=="L")
	{
		document.getElementById("frmlibre").style.display="block";	
		document.getElementById("frmregistrado").style.display="none";	
	}
	else
	{
		document.getElementById("frmlibre").style.display="none";	
		document.getElementById("frmregistrado").style.display="block";	
	}	
}

function f_carga_datosfe(  )
{    

	 dfecha_ini = document.getElementById("txtfecha_ini").value;
	 dfecha_fin = document.getElementById("txtfecha_fin").value;
	 
	 
	 
	  vresultado = document.getElementById("felectronicasd");
	
	  ajax_correo=objetoAjax();
	    //alert(dfecha_ini);
	  //alert(dfecha_fin);
	  ajax_correo.open("POST","php/fdoc.php");
	  ajax_correo.onreadystatechange=function() {
			if (ajax_correo.readyState==4)
			 {
				 	if(ajax_correo.status == 200) 
					{
						vresultado.innerHTML = new String(ajax_correo.responseText) ;
						//alert(vresultado.innerHTML);
					}
				 //alert(vresultado.innerHTML);
			}
		}

	  ajax_correo.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	  ajax_correo.send("dfecha_ini="+ dfecha_ini +"&dfecha_fin="+ dfecha_fin );

}

		
function alltrimv(stringToTrim)
{
	return stringToTrim.replace(/^\s+|\s+$/g,"");
	
}

function f_login_inicial(nvalor)
{ 
//alert(nvalor);

	var vbody = window.document.getElementById("vbody");
	var vdiv  = window.document.createElement('div');
	var vsubdiv = window.document.createElement('div');
	var vtabla  = window.document.createElement('table');
	var vfila  = window.document.createElement('tr');
	var vcolumna  = window.document.createElement('td');
	
	//Div Modal
	vdiv.style.height='100%';
	vdiv.style.backgroundColor='white';
	vdiv.style.width='100%';
	vdiv.style.position='absolute';
	vdiv.style.top='1%';
	vdiv.style.zIndex='100';
	vdiv.style.opacity='0.9';
	vdiv.style.filter='alpha(opacity=50)';
	
	//Div Login
	
	 vsubdiv.style.height='100%';
	 vsubdiv.style.backgroundColor='white';
	 vsubdiv.style.width='40%';
	 vsubdiv.style.zIndex='150';
	 vsubdiv.id='divlog';
	 vsubdiv.style.position='absolute';
	 vsubdiv.style.left='22%';
	 vsubdiv.style.top='16%';
	 vsubdiv.style.paddingTop='0px';
	 //vsubdiv.style.opacity='100';
	 //vsubdiv.style.filter='alpha(opacity=30)';
	 
	/*vtabla.align='center';
	vcolumna.align='center';
	vcolumna.vAlign='middle';*/
	
	
	//vsubdiv.style.marginTop='100px';
	//vsubdiv.style.marginLeft='450px';
	vbody.appendChild(vsubdiv);
	//vdiv.appendChild(vtabla);
	vbody.appendChild(vdiv);
	
	vpaginaphp = (nvalor==1) ? "php/fe_acceso_correo.php" : "php/fe_acceso_usuario.php";
	ajax_correo=objetoAjax();
	
	ajax_correo.open("GET",vpaginaphp);
	
	ajax_correo.onreadystatechange=function() {
		if (ajax_correo.readyState==4) {
			vsubdiv.innerHTML = ajax_correo.responseText;
			//FIniDatetimePicker();
		}
	}
	ajax_correo.send(null);

}


function  f_validar_ingreso_inicial(nvalor)
{
if (nvalor==1)
{		var vruc = window.document.getElementById("txtruc");
		var vcmail= window.document.getElementById("txtcemail");
		var vpassword= window.document.getElementById("txtpassword");
	  if (alltrimv(vruc.value)=="")
		{
		alert("Ingrese RUC");
		return false;
		}
	if (alltrimv(vpassword.value)=="")
		{
		alert("Ingrese contraseña");
		return false;
		}
		
	  if (alltrimv(vcmail.value)=="")
		{
		alert("Ingrese cuenta de Correo/Dni/Ruc");
		return false;
		}
		
	  ajax_correo=objetoAjax();
	  ajax_correo.open("POST","php/fe_valida_login.php");
	  

	ajax_correo.onreadystatechange=function()
		{
			if (ajax_correo.readyState==4)
			 {
				 var vresultado = new String(ajax_correo.responseText) ;
				//alert(vresultado);
				if (1==vresultado)
				{
					//alert('aqui');
					window.location.href="index.php";
				}
				else
				{
					var vmensaje  = window.document.getElementById("divmensaje");
					if (0==vresultado)
					{
					vmensaje.innerHTML="<br><br> &nbsp; Contrasena incorrecta";
					}
					else
					if (2==vresultado)
					{
					vmensaje.innerHTML="<br><br> &nbsp; Cuenta de correo no registrado 2";
					}
					else
					if (3==vresultado)
					{
					vmensaje.innerHTML="<br><br> &nbsp; Cuenta no tiene activado una base de dato, comuniquese con el proveedor";
					}
					else
					if (10==vresultado)
					{
					vmensaje.innerHTML="<br><br> &nbsp; Cuenta de correo no registrado 3";
					}
				}
			}
		}
		

	  ajax_correo.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	  //alert("txtcruc="+ vruc.value +"&txtcemail="+ vcmail.value +"&txtpassword="+ vpassword.value+"&nvalor="+nvalor );
	  
	  ajax_correo.send("txtcruc="+ vruc.value +"&txtcemail="+ vcmail.value +"&txtpassword="+ vpassword.value+"&nvalor="+nvalor );
	  
	  delete vruc;
	  delete vcmail;
	  delete vpassword;
}
else
  {
    //alert(".");
	var vccod_usua= window.document.getElementById("txtccod_usua");
	var vpassword= window.document.getElementById("txtpassword");
	var vccod_emp= window.document.getElementById("txtccod_emp");
	var v_datepicker=window.document.getElementById("datepicker").value;
	if (trim__(vccod_usua.value)=="")
	{
	alert("Ingrese Usuario");
	return false;
	}
	else
	if (trim__(vccod_emp.value)=="")
	{
	alert("Ingrese Empresa");
	return false;
	}
	
	if(trim__( v_datepicker)=="")
	{
		alert("Ingrese Fecha");
		return false;
	}
		
	
	ajax_correo=objetoAjax();
  ajax_correo.open("POST","php/pos_valida_login.php");
  ajax_correo.onreadystatechange=function() {
		if (ajax_correo.readyState==4)
		 {
			 var vresultado = new String(ajax_correo.responseText) ;
		     //alert(vresultado );
			 
			if (1==vresultado)
			{
				window.location.href="index.php";
			}
			else
			{
				var vmensaje  = window.document.getElementById("divmensaje");
				if (0==vresultado)
				{
				vmensaje.innerHTML="<br><br> &nbsp; Contrasena incorrecta";
				}
				else
					if (2==vresultado)
					{
					vmensaje.innerHTML="<br><br> &nbsp; Cuenta de usuario no registrado en el sistema";
					}
				else
					if (3==vresultado)
					{
					vmensaje.innerHTML="<br><br> &nbsp; Empresa no esta registrado en el sistema";
					}
				else
					if (10==vresultado)
					{
					vmensaje.innerHTML="<br><br> &nbsp; Cuenta de usuario no esta registrado en el sistema";
					}
				else if (99==vresultado)
				{
					vmensaje.innerHTML="<br><br> &nbsp; No existe periodo registrado para la fecha de ingreso. ";
				}
			}
		}
	}

	ajax_correo.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	ajax_correo.send("ccod_usua="+ vccod_usua.value +"&txtpassword="+ vpassword.value+"&ccod_emp="+vccod_emp.value+"&nvalor="+nvalor+"&v_datepicker="+v_datepicker );
	//delete ajax_correo;
	delete v_datepicker ;
	delete vccod_usua;
	delete vpassword;
	delete vccod_emp;
  }

}